<?xml version='1.0' encoding='UTF-8'?>
<xsl:transform
		xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
		xmlns:xs='http://www.w3.org/2001/XMLSchema'
		version='1.0'>
	<xsl:output
			method='xml'
			indent='yes'
			encoding='utf-8'/>
	<xsl:strip-space elements='*'/>
<!--
	this xform rewrites a schema of simpleType defs by enumation
	such that there are no duplicate enumeration values...
	throwing away all but the last occurance
  -->

	<xsl:template match='/xs:schema'>
		<xsl:copy>
			<xsl:apply-templates select='@*'/>
			<xsl:apply-templates select='node()'/>
			<xsl:for-each select='.//xs:simpleType'>
				<xsl:variable name='nm' select='@name'/>
				<xsl:variable name='dups'
					select='following-sibling::*[@name=$nm]'/>
				<xsl:if test='count($dups)=0'>
					<xsl:copy>
						<xsl:copy-of select='@*|node()'/>
					</xsl:copy>
				</xsl:if>
			</xsl:for-each> 
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="@*">
		<xsl:copy>
			<xsl:apply-templates select='@*'/>
		</xsl:copy>
	</xsl:template>
</xsl:transform>
